List Pay Groups
get
/public/v1/pay-groupsReturns your organisation's pay groups. A pay group sets the award a staff member's hours are interpreted under. Requires finance access.
filter[search]stringPartial match on the pay group name.
Example:CasualsortstringSort the results. Prefix with '-' for descending. One of: name.
Example:namepage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of PayGroupResource
dataobject[]required▶Show 3 child attributesHide child attributes
idstringrequiredExample:p1a2y3g4-r5o6-47u8-9p0a-1b2c3d4e5f6anamestringrequiredExample:Casual Support Workersawardenum<string>requiredAvailable options:aged_carehealth_professionalsnursesschads
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error